# Geräte ausmustern

### Beschreibung

Dieses Runbook phase mehrere Geräte anhand einer kommaseparierten Liste von Geräte-IDs oder Seriennummern aus. Optional kann es Geräte in Intune löschen und die entsprechenden Entra ID-Geräteobjekte löschen oder deaktivieren.

### Speicherort

Organisation → Geräte → Geräte ausphasen

**Vollständiger Runbook-Name**

rjgit-org\_devices\_outphase-devices

### Berechtigungen

#### Anwendungsberechtigungen

* **Typ**: Microsoft Graph
  * DeviceManagementManagedDevices.PrivilegedOperations.All
  * DeviceManagementManagedDevices.ReadWrite.All
  * DeviceManagementServiceConfig.ReadWrite.All
  * Device.Read.All

#### RBAC-Rollen

* Cloud-Geräteadministrator

### Parameter

#### DeviceListChoice

Bestimmt, ob die Liste Geräte-IDs oder Seriennummern enthält.

| Eigenschaft  | Wert  |
| ------------ | ----- |
| Erforderlich | wahr  |
| Standardwert | 0     |
| Typ          | Int32 |

#### DeviceList

Kommaseparierte Liste von Geräte-IDs oder Seriennummern.

| Eigenschaft  | Wert         |
| ------------ | ------------ |
| Erforderlich | wahr         |
| Standardwert |              |
| Typ          | Zeichenfolge |

#### intuneAction

Bestimmt, ob das Gerät gelöscht, aus Intune entfernt oder Intune-Aktionen übersprungen werden sollen.

| Eigenschaft  | Wert  |
| ------------ | ----- |
| Erforderlich | false |
| Standardwert | 2     |
| Typ          | Int32 |

#### aadAction

Bestimmt, ob das Entra ID-Gerät gelöscht, deaktiviert oder Entra ID-Aktionen übersprungen werden sollen.

| Eigenschaft  | Wert  |
| ------------ | ----- |
| Erforderlich | false |
| Standardwert | 2     |
| Typ          | Int32 |

#### wipeDevice

Interne Kennzeichnung, abgeleitet von intuneAction.

| Eigenschaft  | Wert     |
| ------------ | -------- |
| Erforderlich | false    |
| Standardwert | Wahr     |
| Typ          | Boolesch |

#### removeIntuneDevice

Interne Kennzeichnung, abgeleitet von intuneAction.

| Eigenschaft  | Wert     |
| ------------ | -------- |
| Erforderlich | false    |
| Standardwert | False    |
| Typ          | Boolesch |

#### removeAutopilotDevice

„Das Gerät aus Autopilot entfernen“ (Endwert: true) oder „Gerät in Autopilot behalten“ (Endwert: false) steuert, ob das Gerät aus der Autopilot-Datenbank gelöscht werden soll.

| Eigenschaft  | Wert     |
| ------------ | -------- |
| Erforderlich | false    |
| Standardwert | Wahr     |
| Typ          | Boolesch |

#### removeAADDevice

Interne Kennzeichnung, abgeleitet von aadAction.

| Eigenschaft  | Wert     |
| ------------ | -------- |
| Erforderlich | false    |
| Standardwert | Wahr     |
| Typ          | Boolesch |

#### disableAADDevice

Interne Kennzeichnung, abgeleitet von aadAction.

| Eigenschaft  | Wert     |
| ------------ | -------- |
| Erforderlich | false    |
| Standardwert | False    |
| Typ          | Boolesch |

[Zurück zur Übersicht der Runbook-Referenz](/de/automatisierung/runbooks/runbook-references.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/org/devices/outphase-devices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
